## com.arsdigita.cms.docmgr.ui
Interface SearchForm

All Superinterfaces:
  com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, com.arsdigita.util.Lockable

public interface SearchForm
extends com.arsdigita.bebop.Container

Field Summary

Fields inherited from interface com.arsdigita.bebop.Container
`versionId`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Method Summary
`SearchResults` `getSearchHits(com.arsdigita.bebop.PageState state)`
`long` `getSearchResultCount(com.arsdigita.bebop.PageState state)`
`boolean` `isVisible(com.arsdigita.bebop.PageState state)`

Methods inherited from interface com.arsdigita.bebop.Container
`add, add, contains, get, indexOf, isEmpty, size`

Methods inherited from interface com.arsdigita.bebop.Component
`children, generateXML, getClassAttr, getIdAttr, getKey, getStyleAttr, register, register, respond, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked, lock`

Method Detail

### isVisible

    public boolean isVisible(com.arsdigita.bebop.PageState state)

  Specified by:
    `isVisible` in interface `com.arsdigita.bebop.Component`

### getSearchResultCount

    public long getSearchResultCount(com.arsdigita.bebop.PageState state)

### getSearchHits

    public SearchResults getSearchHits(com.arsdigita.bebop.PageState state)

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC